Get boards
curl --request GET \
--url https://api.getpoppy.ai/api/boards \
--header 'api_key: <api-key>'import requests
url = "https://api.getpoppy.ai/api/boards"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.getpoppy.ai/api/boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "Bronze Jackal",
"id": "quiet-dream-jtMud"
},
{
"name": "Olive Mastodon",
"id": "tender-waterfall-dDa2B"
},
{
"name": "Magenta Smelt",
"id": "winter-frost-CJk4G"
}
]
}
Board and Chat Endpoints
Get boards
Retrieve all your boards
GET
/
api
/
boards
Get boards
This endpoint returns a list of all boards that you can access with your API key.
Query Parameters
string
Your API key for authentication
Response
array
List of your available boards
string
Unique identifier for each board
string
Display name of the board
{
"data": [
{
"name": "Bronze Jackal",
"id": "quiet-dream-jtMud"
},
{
"name": "Olive Mastodon",
"id": "tender-waterfall-dDa2B"
},
{
"name": "Magenta Smelt",
"id": "winter-frost-CJk4G"
}
]
}
{
"error": "Unauthorized"
}
⌘I
